- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

# tiffparser.hpp File Reference

Class TiffParser to parse TIFF data. More...

`#include "tiffcomposite.hpp"`
`#include "types.hpp"`
`#include <iosfwd>`
`#include <cassert>`

Include dependency graph for tiffparser.hpp:

## Namespaces
namespace | Exiv2
## Classes
class | Exiv2::TiffCreator
| TIFF component factory for standard TIFF components. More...
class | Exiv2::TiffParser
| Stateless parser class for data in TIFF format. Images use this class to decode and encode TIFF-based data. Uses class CreationPolicy for the creation of TIFF components. More...

## Detailed Description

Class TiffParser to parse TIFF data.

Version:
  Rev
    808

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  15-Mar-06, ahu: created